<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('diagnosa_details', function (Blueprint $table) {
            $table->id();
            $table->string('diagnosaId');
            $table->string('gejalaId');
            $table->float('nilaiKeyakinan');
            $table->timestamps();

            // Relation
            $table->foreign('diagnosaId')
                ->references('diagnosaId')
                ->on('diagnosas')
                ->cascadeOnDelete()
                ->cascadeOnUpdate();
            $table->foreign('gejalaId')
                ->references('gejalaId')
                ->on('gejalas')
                ->cascadeOnDelete()
                ->cascadeOnUpdate();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('diagnosa_details');
    }
};
